org.apache.lucene.util.mutable

## Class MutableValueBool

- java.lang.Object
- - org.apache.lucene.util.mutable.MutableValue
  - - org.apache.lucene.util.mutable.MutableValueBool

- All Implemented Interfaces:
    Comparable<MutableValue>

      public class MutableValueBool
      extends MutableValue

  `MutableValue` implementation of type `boolean`. When mutating instances of this object, the caller is responsible for ensuring that any instance where `exists` is set to `false` must also `value` set to `false` for proper operation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `value`

    - ### Fields inherited from class org.apache.lucene.util.mutable.MutableValue

      `exists`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableValueBool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareSameType(Object other)`
    `void` | `copy(MutableValue source)`
    `MutableValue` | `duplicate()`
    `boolean` | `equalsSameType(Object other)`
    `int` | `hashCode()`
    `Object` | `toObject()`

    - ### Methods inherited from class org.apache.lucene.util.mutable.MutableValue

      `compareTo, equals, exists, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          public boolean value

  - ### Constructor Detail

    - #### MutableValueBool

          public MutableValueBool()

  - ### Method Detail

    - #### toObject

          public Object toObject()

      Specified by:
        `toObject` in class `MutableValue`

    - #### copy

          public void copy(MutableValue source)

      Specified by:
        `copy` in class `MutableValue`

    - #### duplicate

          public MutableValue duplicate()

      Specified by:
        `duplicate` in class `MutableValue`

    - #### equalsSameType

          public boolean equalsSameType(Object other)

      Specified by:
        `equalsSameType` in class `MutableValue`

    - #### compareSameType

          public int compareSameType(Object other)

      Specified by:
        `compareSameType` in class `MutableValue`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `MutableValue`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.